<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.xdgf.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.xdgf.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.xdgf.usermodel" class="title">Uses of Package<br>org.apache.poi.xdgf.usermodel
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.extractor">org.apache.poi.xdgf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.geom">org.apache.poi.xdgf.geom</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.usermodel">org.apache.poi.xdgf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.usermodel.section">org.apache.poi.xdgf.usermodel.section</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.usermodel.section.geometry">org.apache.poi.xdgf.usermodel.section.geometry</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.usermodel.shape">org.apache.poi.xdgf.usermodel.shape</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.util">org.apache.poi.xdgf.util</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.xml">org.apache.poi.xdgf.xml</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xdgf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xdgf/extractor/package-summary.html">org.apache.poi.xdgf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XmlVisioDocument.html#org.apache.poi.xdgf.extractor">XmlVisioDocument</a>
                        <div class="block">This is your high-level starting point for working with Visio XML
                            documents (.vsdx).
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xdgf.geom">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xdgf/geom/package-summary.html">org.apache.poi.xdgf.geom</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFShape.html#org.apache.poi.xdgf.geom">XDGFShape</a>
                        <div class="block">A shape is a collection of Geometry Visualization, Format, Text, Images, and
                            Shape Data in a Drawing Page.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xdgf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFBaseContents.html#org.apache.poi.xdgf.usermodel">XDGFBaseContents</a>
                        <div class="block">Container of shapes for a page in a Visio diagram.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFCell.html#org.apache.poi.xdgf.usermodel">XDGFCell</a>
                        <div class="block">There are a lot of different cell types.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFConnection.html#org.apache.poi.xdgf.usermodel">XDGFConnection</a>
                        <div class="block">Represents connections in a Visio diagram.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFDocument.html#org.apache.poi.xdgf.usermodel">XDGFDocument</a>
                        <div class="block">Represents the root document: /visio/document.xml

                            You're probably actually looking for <a
                                    href="../../../../../org/apache/poi/xdgf/usermodel/XmlVisioDocument.html"
                                    title="class in org.apache.poi.xdgf.usermodel"><code>XmlVisioDocument</code></a>,
                            this
                            only contains metadata about the root document in the OOXML package.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFMaster.html#org.apache.poi.xdgf.usermodel">XDGFMaster</a>
                        <div class="block">Provides the API to work with an underlying master.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFMasterContents.html#org.apache.poi.xdgf.usermodel">XDGFMasterContents</a>
                        <div class="block">Contains the actual contents of the master/stencil</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFMasters.html#org.apache.poi.xdgf.usermodel">XDGFMasters</a>
                        <div class="block">A collection of masters (typically stencils) in a Visio document</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFPage.html#org.apache.poi.xdgf.usermodel">XDGFPage</a>
                        <div class="block">Provides the API to work with an underlying page</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFPageContents.html#org.apache.poi.xdgf.usermodel">XDGFPageContents</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFPages.html#org.apache.poi.xdgf.usermodel">XDGFPages</a>
                        <div class="block">Contains a list of Page objects (not page content!)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFRelation.html#org.apache.poi.xdgf.usermodel">XDGFRelation</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFShape.html#org.apache.poi.xdgf.usermodel">XDGFShape</a>
                        <div class="block">A shape is a collection of Geometry Visualization, Format, Text, Images, and
                            Shape Data in a Drawing Page.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFSheet.html#org.apache.poi.xdgf.usermodel">XDGFSheet</a>
                        <div class="block">A sheet is a collection of properties that specify information for a shape,
                            master, drawing page, style, or web drawing.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFStyleSheet.html#org.apache.poi.xdgf.usermodel">XDGFStyleSheet</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFText.html#org.apache.poi.xdgf.usermodel">XDGFText</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xdgf.usermodel.section">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xdgf/usermodel/section/package-summary.html">org.apache.poi.xdgf.usermodel.section</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFCell.html#org.apache.poi.xdgf.usermodel.section">XDGFCell</a>
                        <div class="block">There are a lot of different cell types.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFShape.html#org.apache.poi.xdgf.usermodel.section">XDGFShape</a>
                        <div class="block">A shape is a collection of Geometry Visualization, Format, Text, Images, and
                            Shape Data in a Drawing Page.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFSheet.html#org.apache.poi.xdgf.usermodel.section">XDGFSheet</a>
                        <div class="block">A sheet is a collection of properties that specify information for a shape,
                            master, drawing page, style, or web drawing.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xdgf.usermodel.section.geometry">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xdgf/usermodel/section/geometry/package-summary.html">org.apache.poi.xdgf.usermodel.section.geometry</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFShape.html#org.apache.poi.xdgf.usermodel.section.geometry">XDGFShape</a>
                        <div class="block">A shape is a collection of Geometry Visualization, Format, Text, Images, and
                            Shape Data in a Drawing Page.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xdgf.usermodel.shape">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xdgf/usermodel/shape/package-summary.html">org.apache.poi.xdgf.usermodel.shape</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFShape.html#org.apache.poi.xdgf.usermodel.shape">XDGFShape</a>
                        <div class="block">A shape is a collection of Geometry Visualization, Format, Text, Images, and
                            Shape Data in a Drawing Page.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xdgf.util">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xdgf/util/package-summary.html">org.apache.poi.xdgf.util</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFPage.html#org.apache.poi.xdgf.util">XDGFPage</a>
                        <div class="block">Provides the API to work with an underlying page</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XmlVisioDocument.html#org.apache.poi.xdgf.util">XmlVisioDocument</a>
                        <div class="block">This is your high-level starting point for working with Visio XML
                            documents (.vsdx).
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xdgf.xml">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xdgf/xml/package-summary.html">org.apache.poi.xdgf.xml</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xdgf/usermodel/class-use/XDGFDocument.html#org.apache.poi.xdgf.xml">XDGFDocument</a>
                        <div class="block">Represents the root document: /visio/document.xml

                            You're probably actually looking for <a
                                    href="../../../../../org/apache/poi/xdgf/usermodel/XmlVisioDocument.html"
                                    title="class in org.apache.poi.xdgf.usermodel"><code>XmlVisioDocument</code></a>,
                            this
                            only contains metadata about the root document in the OOXML package.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
